---
title: "Billiger.de API: Search | Perceptlayer"
description: "Search from Billiger.de as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/billiger/search
---

[APIs](https://perceptlayer.com/apis) / [Billiger.de](https://perceptlayer.com/apis/billiger) / Search

# Billiger.de: Search

Search from Billiger.de as JSON. 1 credit per successful call.

GET `/v1/billiger/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 200 characters |
| `q` | string | Optional | Up to 200 characters |
| `page_no` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `page_size` | integer | Optional | Any |
| `sort` | string | Optional | relevance, clickout\_relevance, price, price\_rev, rating, disjunctive |
| `cat` | integer | Optional | Any |
| `doctype` | string | Optional | auto, offer, product, product\_offer |
| `filters[]` | list of string | Required | Up to 500 characters |
| `fuzzy` | boolean | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/billiger/search?query=iphone&page=1&page_size=20&sort=relevance" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/billiger?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
